/***************************************************************************
                          CondVar.c  -  description
                             -------------------
   Provides a portable conditional variable API.
                             -------------------
    begin                : Sat Jul 17 2004
    copyright            : (C) 2004 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "CondVar.h"

#if defined(POSIX)
# include "Posix/Posix_CondVar.c"
#elif defined(WIN32)
# include "Win32/Win32_CondVar.c"
#else
# error "ONLY POSIX and WIN32 CONDVAR AVAILABLE"
#endif

